Bug 54350 - rpm-python compilation problems with non-gcc compilers
Summary: rpm-python compilation problems with non-gcc compilers
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-python   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-04 17:26 UTC by Gary Benson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-09 18:38:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gary Benson 2001-10-04 17:26:21 UTC
Obviously neither of these affect builds on Red Hat Linux, but it would be
nice to have them fixed.

Problem 1:
- none of the C files include config.h. This specifically rpmmodule.c.

Solution 1:
- add a #include "system.h" to the top of each C file.
- remove #include <alloca.h> from the top of rpmmodule.c


Problem 2:
- PyObject_HEAD should not be followed by a semicolon.

Solution 2:
- for i in *module.c; do
      mv $i $i.bak
      sed "s/PyObject_HEAD;/PyObject_HEAD/g" < $i.bak > $i
  done

Comment 1 Jeff Johnson 2002-06-05 18:40:53 UTC
Done, changes should be in rpm-4.1-0.23.

Reopen this bug if there are other portability problems.


Note You need to log in before you can comment on or make changes to this bug.